Radicore Forum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » RADICORE » RADICORE Installation Issues » sql import errors on PostgreSQL 8.1
sql import errors on PostgreSQL 8.1 [message #381] Wed, 08 November 2006 11:07 Go to previous message
mitjok is currently offline  mitjok
Messages: 6
Registered: June 2006
Junior Member
Upgrading from version 1.16 to 1.17 on PostgreSQL 8.1

While importing radicore/menu/sql/menu.menu_export.sql, as stated in in release announcement, have the following errors:

1.
ERROR: syntax error at or near "," at character 234
LINE 1: ...05 17:20:23', 'AJM', '2005-07-14 17:02:12', 'AJM'),('SYSTEM'...
^

Please correct me if I'm wrong, but multiple-row VALUES clauses will be introduced in PostgreSQL 8.2, which currently is in the development.

2.
psql:/menu.menu_export.sql:195: ERROR: duplicate key violates unique constraint "mnu_subsystem_pkey"

I manually took difference of the menu.menu_export.sql of ver. 1.16 and 1.17 and imported in my project.

The same problem I expect with /dict/sql/dict.menu_export.sql

Is there any other way, as to make these changes manually?

Thanks in advance!
 
Read Message
Read Message
Read Message
Previous Topic: File Include problem
Next Topic: New Install Logon Failure
Goto Forum:
  


Current Time: Sat Jan 29 08:36:51 EST 2022

Total time taken to generate the page: 0.01632 seconds